#' Key of correct answers for \code{MSATBtest} dataset.
#'
#' @description The \code{MSATBkey} is a vector of factors representing correct answers of
#' \code{MSATBtest} dataset.
#'
#' @usage data(MSATBkey)
#'
#' @author
#' Adela Hladka (nee Drabinova) \cr
#' Institute of Computer Science of the Czech Academy of Sciences \cr
#' Faculty of Mathematics and Physics, Charles University \cr
#' \email{hladka@@cs.cas.cz} \cr
#'
#' Patricia Martinkova \cr
#' Institute of Computer Science of the Czech Academy of Sciences \cr
#' \email{martinkova@@cs.cas.cz} \cr
#'
#' @references
#' Drabinova, A. & Martinkova, P. (2017). Detection of differential item functioning with nonlinear regression:
#' A non-IRT approach accounting for guessing. Journal of Educational Measurement, 54(4), 498--517,
#' \doi{10.1111/jedm.12158}.
#'
#' Vlckova, K. (2014). Test and item fairness. Master's thesis. Faculty of Mathematics and Physics, Charles University.
#'
#' @keywords datasets
#'
#' @seealso \code{\link{MSATB}}, \code{\link{MSATBtest}}
#'
#' @format A nominal vector with 20 values representing correct answers to items of \code{MSATBtest}
#' dataset. For more details see \code{\link{MSATBtest}}.
"MSATBkey"
